#!/bin/bash
#
# 用于在一台机器上开启多个实例
# 注意以该方式启动将不能使用监控系统提供的监控能力
#
#

inst=`cat xrk_mt_proxy_client_inner.conf |grep ^NAT_INSTANCE_NAME|awk '{print $2}'`

rm _manual_stop_ > /dev/null 2>&1
proc=${inst}_xrk_mt_proxy_client_inner
cp xrk_mt_proxy_client_inner $proc > /dev/null 2>&1

Count=`pgrep -f $proc -l |wc -l`
if [ $Count -gt 0 ]; then
    echo "already start"
    exit 0
fi

./$proc multi

pid=`ps -ef |grep $proc|grep -v tail|grep -v grep|awk '{print $2;}'`
if [ -z "$pid" ]; then
    echo "start failed !"
	exit 1
fi

echo "start $proc ok pid: "
echo "$pid"

